# Visualization
TKV3d
Visual3d

# Visual3d_SetIteratorOfSetOfView Class Reference

`#include <Visual3d_SetIteratorOfSetOfView.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_SetIteratorOfSetOfView ()
Standard_EXPORT | Visual3d_SetIteratorOfSetOfView (const Visual3d_SetOfView &S)
Standard_EXPORT void | Initialize (const Visual3d_SetOfView &S)
Standard_Boolean | More () const
void | Next ()
const Handle_Visual3d_View & | Value () const

## Private Attributes

Visual3d_ListIteratorOfSetListOfSetOfView | myIterator

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_SetIteratorOfSetOfView::Visual3d_SetIteratorOfSetOfView | ( |  | ) |

Standard_EXPORT Visual3d_SetIteratorOfSetOfView::Visual3d_SetIteratorOfSetOfView | ( | const Visual3d_SetOfView & | S | ) |

## Member Function Documentation

Standard_EXPORT void Visual3d_SetIteratorOfSetOfView::Initialize | ( | const Visual3d_SetOfView & | S | ) |

Standard_Boolean Visual3d_SetIteratorOfSetOfView::More | ( |  | ) | const

void Visual3d_SetIteratorOfSetOfView::Next | ( |  | ) |

void Visual3d_SetIteratorOfSetOfView::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_SetIteratorOfSetOfView::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_SetIteratorOfSetOfView::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const Handle_Visual3d_View& Visual3d_SetIteratorOfSetOfView::Value | ( |  | ) | const

## Field Documentation

Visual3d_ListIteratorOfSetListOfSetOfView Visual3d_SetIteratorOfSetOfView::myIterator `[private]`

The documentation for this class was generated from the following file:

- Visual3d_SetIteratorOfSetOfView.hxx